cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Flexera beginner

Flexlm api

lmgr_md.lib, libcrvs.lib ... not compile with VS2015.

0 Kudos
3 Replies
Highlighted
Flexera
Flexera

Re: Flexlm api

@Stevens33 , can you confirm if you are fresh building the toolkit or was it built at a different system and you are trying to rebuild it/ run it using VS 2015?

If it was built earlier, then it would be worth confirming the VS used to build it in the first place or you can try a clean build as "nmake -f  makefile clean all".

(If my response assists with your questions , then please click "ACCEPT AS SOLUTION" or 'Kudos' so that it help others.)
0 Kudos
Highlighted
Flexera beginner

Re: Flexlm api

It am trying to rebuid it.
It was built earlier with VS 2018, and now I need to build it with VS 2015. There are errors such as "unknown symbol imp__sys_errlist" and many others. Which is normal because this function is deprecated. So, are there any new flexlm api lib that are safier and compile with VS 2015 and upper? And where can I find it?
0 Kudos
Highlighted
Flexera
Flexera

Re: Flexlm api

@Stevens33 , since these are windows symbols and deprecated , hence it would be needed to build it using same VS compiler or perform a clean build with command shared earlier.

(If my response assists with your questions , then please click "ACCEPT AS SOLUTION" or 'Kudos' so that it help others.)
0 Kudos